Skip to main content
GET
/
api
/
v3
/
admin
/
payment_methods
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const { data: paymentMethods } = await client.paymentMethods.list()
{
  "data": [
    {
      "id": "pm_UkLWZg9DAJ",
      "name": "Check",
      "description": null,
      "type": "check",
      "session_required": false,
      "source_required": false,
      "metadata": {},
      "active": true,
      "auto_capture": null,
      "storefront_visible": true,
      "position": 1,
      "created_at": "2026-05-17T22:58:10.232Z",
      "updated_at": "2026-05-17T22:58:10.233Z",
      "preferences": {},
      "preference_schema": []
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 1,
    "pages": 1,
    "from": 1,
    "to": 1,
    "in": 1,
    "previous": null,
    "next": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Query Parameters

expand
string

Comma-separated associations to expand. Use dot notation for nested expand (max 4 levels).

fields
string

Comma-separated list of fields to include (e.g., name,type,active). id is always included.

Response

200 - application/json

payment methods found